Zum Inhalt springen
Deutsch
Esc
↑↓navigate↵open⌘Jpreview

List the modules of a project

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/projects/{projectId}/modules
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Path parameters
projectIdstringrequired
min length 1
Responses
200OK
dataobject[]required
Show properties
Array of object
idstringrequired
projectIdstringrequired
moduleKeystringrequired
Allowed:project-informationraumweiseheizlast-huellflaecheverbrauchwaermepumpejazwirtschaftlichkeitfoerderrechnerfoerderwissenschallrechnerchecku-wert-rechnerfoerderservicenachweisservice
statusstringrequired
Allowed:not_starteddraftreadycalculatingcompletedsubmittedlockedfailed
schemaVersionintegerrequired
min -9007199254740991 · max 9007199254740991
payloadobject | anyrequired
Show properties
Any of:
object
object
any
any
validationStateobject | anyrequired
Show properties
Any of:
object
object
any
any
lockedReasonstring | anyrequired
Show properties
Any of:
string
string
any
any
lastCompletedAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
Request
curl -X GET "https://app.bauhow.com/api/v1/projects/string/modules" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": [
    {
      "id": "string",
      "projectId": "string",
      "moduleKey": "project-information",
      "status": "not_started",
      "schemaVersion": 0,
      "payload": {},
      "validationState": {},
      "lockedReason": "string",
      "lastCompletedAt": "2024-01-01T00:00:00Z",
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z"
    }
  ]
}